DOHTRL(3)

SYNOPSIS
SUBROUTINE DOHTRL (Q, N, NRDA, DIAG, IRANK, DIV, TD)

NAME
dohtrl - Subsidiary to DBVSUP and DSUDS

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (OHTROL-S, DOHTRL-D)

AUTHOR
Watts, H. A., (SNLA)

DESCRIPTION
For a rank deficient problem, additional orthogonal HOUSEHOLDER transformations are applied to the left side of Q to further reduce the triangular form. Thus, after application of the routines DORTHR and DOHTRL to the original matrix, the result is a nonsingular triangular matrix while the remainder of the matrix has been zeroed out.

SEE ALSO
DBVSUP, DSUDS

ROUTINES CALLED
DDOT

REVISION HISTORY (YYMMDD)
750601 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890831 Modified array declarations. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)
910722 Updated AUTHOR section. (ALS)